
From: Adrian Bunk <bunk@stusta.de>

This patch makes a needlessly global struct static.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/mach-default/topology.c |    2 +-
 25-akpm/include/asm-i386/cpu.h            |    1 -
 2 files changed, 1 insertion(+), 2 deletions(-)

diff -puN arch/i386/mach-default/topology.c~i386-mach-default-topologyc-make-cpu_devices-static arch/i386/mach-default/topology.c
--- 25/arch/i386/mach-default/topology.c~i386-mach-default-topologyc-make-cpu_devices-static	2005-02-02 18:21:13.907072392 -0800
+++ 25-akpm/arch/i386/mach-default/topology.c	2005-02-02 18:21:13.912071632 -0800
@@ -30,7 +30,7 @@
 #include <linux/nodemask.h>
 #include <asm/cpu.h>
 
-struct i386_cpu cpu_devices[NR_CPUS];
+static struct i386_cpu cpu_devices[NR_CPUS];
 
 int arch_register_cpu(int num){
 	struct node *parent = NULL;
diff -puN include/asm-i386/cpu.h~i386-mach-default-topologyc-make-cpu_devices-static include/asm-i386/cpu.h
--- 25/include/asm-i386/cpu.h~i386-mach-default-topologyc-make-cpu_devices-static	2005-02-02 18:21:13.908072240 -0800
+++ 25-akpm/include/asm-i386/cpu.h	2005-02-02 18:21:13.913071480 -0800
@@ -12,7 +12,6 @@
 struct i386_cpu {
 	struct cpu cpu;
 };
-extern struct i386_cpu cpu_devices[NR_CPUS];
 extern int arch_register_cpu(int num);
 #ifdef CONFIG_HOTPLUG_CPU
 extern void arch_unregister_cpu(int);
_
